#!/bin/sh
#set -x
# set it to cifs/smbfs/nfs
FSTYPE="smbfs"
MOUNTPOINTS="audio video pictures film"
USER="root"
PW="gen2vdr"

PIP="$(grep "hosts all" /etc/samba/smb.conf | sed -e "s/.*=//" | tr -d " ")"
if [ "$PIP" = "" ] ; then
   logger -s "Keine Partner-IP in smb.conf gefunden"
   exit
fi
PARTNERS="$(grep $PIP /etc/hosts | sed -e "s/.*$PIP//" | tr "\t" " " | tr -s " " | cut -f 2 -d " ")"
if [ "$PARTNERS" = "" ] ; then
   logger -s "Keine Partner in /etc/hosts gefunden"
   exit
fi

for i in $PARTNERS ; do
   [ "$i" = "$HOSTNAME" ] && continue
   if ( ping -c1 -t2 $i ) ; then
      echo "Verbinde ${i}"
      for j in $MOUNTPOINTS ; do
         mkdir -p /mnt/$i/${j} > /dev/null 2>&1
	 if [ "$FSTYPE" = "nfs" ] ; then
            mount -t nfs ${i}:/${j} /mnt/$i/${j}
	    rc=$?
	 else    
            mount -t $FSTYPE -o username=$USER,password=$PW //${i}/${j} /mnt/$i/${j}
	    rc=$?
	 fi
	 if [ "$rc" = "0" ] ; then
	    logger -s "$i/$j erfolgreich ueber $FSTYPE verbunden"
	    rm -f /$j/_SRV_$i > /dev/null 2>&1
	    ln -s /mnt/$i/${j} /$j/_SRV_$i
	 else
	    logger -s "Fehler $rc beim mounten von $i/$j ($FSTYPE)"
	 fi
      done
   else
      logger -s "$i ist nicht online"
   fi      
done
touch /video/.update
